﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PhoneApp2
{
    public partial class MainPage : PhoneApplicationPage
    {

        System.Device.Location.GeoCoordinateWatcher geoWatcher = new System.Device.Location.GeoCoordinateWatcher();

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            //textBoxLon.Text = "" + 10.3839907;
            //textBoxLat.Text = "" + 55.4042093;
        }

        private void buttonStartGeo_Click(object sender, RoutedEventArgs e)
        {
            geoWatcher.PositionChanged -= onPositionChanged;  // slet evt. tidligere
            geoWatcher.PositionChanged += onPositionChanged;
            geoWatcher.Start();
        }
        private void onPositionChanged(object sender, System.Device.Location.GeoPositionChangedEventArgs<System.Device.Location.GeoCoordinate> e)
        {
            //geoWatcher.PositionChanged -= onPositionChanged;  // slet event
            //geoWatcher.Stop();

            double lon = e.Position.Location.Longitude;
            double lat = e.Position.Location.Latitude;
            
            textBoxLon.Text = "" + lon;
            textBoxLat.Text = "" + lat;
        }
        private void buttonStopGeo_Click(object sender, RoutedEventArgs e)
        {
            geoWatcher.PositionChanged -= onPositionChanged;  // slet 
            geoWatcher.Stop();
        }



    }

}
